@import "/vars.css";

a,
p,
code {
	user-select: text;
}

* {
	margin: 0;
	padding: 0;
	flex-direction: column;

	line-height: 1.6;
	user-select: none;
}

body {
	margin-top: 1.5rem;
	margin-left: 1.5rem;
	display: flex;

	color: var(--fg);
	background: var(--bg);

	font-family: var(--font);
	font-size: var(--font-size);
}

i[title] {
	color: var(--fg-muted);
	cursor: default;
	user-select: text;
}

span[title] {
	text-decoration: dotted;
	text-decoration-line: underline;
	cursor: default;
	user-select: text;
}

code {
	background: var(--bg-code);
	border-radius: 0.2rem;
	padding: 0.2rem;
}

h1,
h2 {
	margin-bottom: 0.7rem;
}

h1 {
	font-size: 23px;
}

h2 {
	font-size: 18px;
}

a {
	max-width: fit-content;
	text-decoration: none;
	color: var(--fg);
	font-weight: bold;

	&:hover {
		text-decoration: dotted;
		text-decoration-line: underline;
	}
}

.muted {
	color: var(--fg-muted);
}

.strike {
	text-decoration: line-through;
}
